// Popup Count 0.2.5
// By Pike

var PopupCountSettings = {

	prefService: null,
	
	onLoad: function()
	{
		// Setup object properties
		this.prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('popupcount.');
		
		var selectTooltip;
		try
		{
			if (this.prefService.getBoolPref('total_as_tooltip') == true) selectTooltip = true;
			else selectTooltip = false;
		}
		catch (err)
		{
			selectTooltip = true;
		}
		if (selectTooltip)
		{
			document.getElementById('popupcountShowTooltip').setAttribute('selected', true);
		}
		else
		{
			document.getElementById('popupcountShowStatusbar').setAttribute('selected', true);
		}
	},
	
	onAccept: function()
	{
		if (document.getElementById('popupcountShowTooltip').getAttribute('selected') == 'true')
		{
			this.prefService.setBoolPref('total_as_tooltip', true);
		}
		else
		{
			this.prefService.setBoolPref('total_as_tooltip', false);
		}
	}
};

